Change *-cvs-bare cache dirs to *-cvs-master.
[nethome.git] / bin / errs1
index b662f11..43cda29 100755 (executable)
--- a/bin/errs1
+++ b/bin/errs1
@@ -1,13 +1,15 @@
 #! /bin/sh
 # $Id$
 
+renice +19 -p $$; ionice -c3 -p $$
+
 customss="--enable-static --disable-shared"
 customm="-m64"
 target=
 targets=
 configure="./configure"
 debug="-ggdb2"
-ldflags=""
+ldflags="-lmcheck"
 fast=false
 
 while true
@@ -53,6 +55,7 @@ do
        if [ "$1" = "-s" ];then
                # -O0 is important to override GCC -O2.
                debug="-O0 -s"
+               ldflags=""
                shift
                continue
        fi
@@ -60,6 +63,7 @@ do
        break
 done
 
+rm -f errs1.ok
 (
        set -ex
        find -name config.cache|xargs rm -f
@@ -75,9 +79,11 @@ done
        if test -f `dirname $configure`/bfd/elf64-x86-64.c;then
                test -f g77 || (test -f /usr/bin/gfortran && ln -s /usr/bin/gfortran g77)
        fi
+       if ! $fast;then
+               targets="$targets --enable-64-bit-bfd"
+       fi
        if ! $fast && test -f `dirname $configure`/bfd/elf64-x86-64.c -a '(' -d CVS -o -d .git ')';then
-               targets="--enable-targets=all --enable-64-bit-bfd"
-               ldflags="-lmcheck"
+               targets="$targets --enable-targets=all"
        fi
 
        if test -f `dirname $configure`/gcc/reload.c;then
@@ -113,5 +119,10 @@ done
        export CXXFLAGS_FOR_TARGET="$flags"
        export LDFLAGS="$ldflags"
 
-       time nice "$configure" $target $targets $customss --enable-debug $maintainer $werror "$@"
+       time nice "$configure" $target $targets $customss --enable-debug --disable-sim $maintainer $werror --with-separate-debug-dir=/usr/lib/debug "$@"
+       touch errs1.ok
        ) 2>&1|tee errs1
+test -f errs1.ok
+rc=$?
+rm -f errs1.ok
+exit $rc